Subject: Re: bug#10636: chown verbose option (-v) reports incorrect retained owner:group

From: Jim Meyering <[email-masked]>
Date: Sun, 29 Jan 2012 10:56:40 +0100

Tero Nieminen wrote:
> I just noticed that when I use chown like this:
>
> chown -hRv --from=500:500 1000:1000 nnn (as root)
>
> it prints incorrect information on retained owner:group, like this:
>
> ownership of `nnn/lost+found' retained as 1000:1000
>
> Ie. instead of printing the actual retained owner and group (in this
> case root:root) it seems to incorrectly print the owner:group I was
> trying to change to.
>
> Is this maybe a bug in Gnu-coreutils/chown or just in the particular
> version (8.12) shipped with Fedora 16 (coreutils-8.12-2.fc16.x86_64)?
>
> I could Only found a single non-bug for chown in debbugs.gnu.org
> (maybe I just don't know how to search ;).

Thank you for noticing and reporting that bug.
You guessed it.  It is specific to Fedora's version of chown.
I.e., when I try to reproduce it with the chown from stock
coreutils-8.15, it works as expected.

Actually, this can be demonstrated by non-root.
The F16-supplied chown (coreutils-8.12-2.fc16.x86_64) fails:

    $ /bin/chown -v --from=1:1 $UID:$UID /
    ownership of `/' retained as 1000:1000

When I run the one from coreutils-8.15, it works as expected:

    $ chown -v --from=1:1 $UID:$UID /                                            :
    ownership of '/' retained as root:root

> If this is fixed or nonexistent in GNU-coreutils, I'll file the bug to Fedora.

Thanks!